; setup.cfg is the configuration file for setuptools.
; https://packaging.python.org/tutorials/packaging-projects/#configuring-metadata

[metadata]
name = de.p1st.monitor
version = 0.11.0
author = Daniel Langbein
author_email = daniel@systemli.org
description = periodically monitor and warn
long_description = file: README.md
long_description_content_type = text/markdown
url = https://codeberg.org/privacy1st/de-p1st-monitor
project_urls =
    Bug Tracker = https://codeberg.org/privacy1st/de-p1st-monitor/issues

; https://pypi.org/classifiers/
classifiers =
    Development Status :: 4 - Beta
    Programming Language :: Python :: 3
    ; License :: BSD 3-Clause Clear License
    Operating System :: Unix

[options]
packages = find:
package_dir =
    = src
include_package_data = True
python_requires = >=3.10.0

[options.packages.find]
where = src

[options.package_data]
de.p1st.monitor = data/*.ini

[options.entry_points]
; https://setuptools.readthedocs.io/en/latest/userguide/entry_point.html
console_scripts=
    de-p1st-monitor = de.p1st.monitor.main:main
